Skip to main content
POST
/
api
/
v1
/
tasks
/
{id}
/
run
Run task
curl --request POST \
  --url https://api.webscraping.titannet.io/api/v1/tasks/{id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "script_id": "<string>",
  "script_version": "<string>",
  "payload": "<unknown>",
  "secret_payload": "<unknown>",
  "execution_plan": {}
}
'
{
  "success": true,
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
script_id
string
script_version
string
payload
any
secret_payload
any
execution_plan
object

Response

Accepted

success
boolean
data
any